7.5. SVGAlib
Zurück | Kapitel 7. Videoausgabegeräte | Weiter

## 7.5. SVGAlib

INSTALLATION. Du musst zuerst die svgalib und die dazugehörigen Entwicklerpakete installieren, bevor du MPlayer compilierst, da er sonst die Svgalib nicht automatisch findet und den Treiber dazu nicht compiliert (das kann aber trotzdem erzwungen werden). Vergiss auch nicht, in `/etc/vga/libvga.config` richtige Werte für deine Grafikkarte und deinen Monitor anzugeben.

### Anmerkung

Verwende nicht die Option `-fs`, da sie die Benutzung des Softwareskalierers erzwingt und das ganze dann langsam wird. Wenn du diese Option wirklich brauchst, dann verwende auch `-sws 4`, welche zwar schlechte Qualität produziert, dafür aber auch ein wenig schneller ist.

EGA(4bpp)-UNTERSTÜTZUNG. SVGAlib beinhaltet die EGAlib, und MPlayer kann damit jeden Film in 16 Farben bei folgenden Modi anzeigen:

- EGA-Karte mit EGA-Monitor: 320x200x4bpp, 640x200x4bpp, 640x350x4bpp

- EGA-Karte mit CGA-Monitor: 320x200x4bpp, 640x200x4bpp

Der bpp-Wert (Bits pro Pixel) muss von Hand auf vier gesetzt werden: `-bpp 4`

Die Auflösung des Films muss wahrscheinlich verkleinert werden, damit er in den EGA-Modus reinpasst:

    -vf scale=640:350

oder

    -vf scale=320:200

Dafür brauchen wir eine schnelle, aber schlechte Qualität produzierende Skalierroutine:

    -sws 4

Eventuell muss die automatische Anpassung des Höhen-/Breitenverhältnisses ausgeschaltet werden:

    -noaspect

### Anmerkung

Die besten Ergebnisse bei EGA-Bildschirmen erhält man meiner Erfahrung nach, wenn man die Helligkeit ein wenig verringert: `-vf eq=-20:0`. Ich musste auch die Audiosamplerate reduzieren, weil bei 44KHz der Sound nicht richtig funktionierte: `-srate 22050`.

Du kannst das OSD und Untertitel mit dem `expand`-Filter aktivieren. Die Manpage enthält die exakten Parameter.

Zurück | Nach oben | Weiter
7.4. SDL | Zum Anfang | 7.6. Framebuffer-Ausgabe (FBdev)